update_new_version

When you upgrade to a new version of swift, the installer will create a new directory.

Example: your current version is 0.9.4.389 32bit and it is installed in a directory named \swift-0.9.4-32bit\. As version 0.9.5 is released, the installer of swift will suggest \swift-0.9.5-32bit\ as new folder name. Use that one.
 

You can update swift in 3 different ways: through swiftGUI, swiftLauncher and manually.

Before you begin updating swift, shutdown your flight simulator

Updating through swiftGUI and swiftLauncher

The download and installation process for swiftGUI swiftLauncher is identical.

  • when swiftGUI or swiftLauncher have detected an update then verify that the correct version is selected before you download

     
  • the download-dialogue will download the installer in the background. Please be patient, it will take a few seconds although it may appear as if nothing is happening

     
  • when the download has finished, a message will appear and ask you for permission to install swift. Click Yes

     
  • swift will now be installed on your system, in our example into \swift-0.9.5-32bit\
     
  • at the end of the installation process swiftLauncher and the Configuration Wizard will start automatically. Accept the licence agreement and if you wish agree to sending swift crash reports

     
  • ignore the database wizard, proceed to the next page
     
  • Copy models: here you can copy your model sets and caches from a previous version to the new edition of swift. It will save you from having to create a new Active Model Set.
    • select the version of swift that you want to copy your model set from (in this example it is 0.9.4.389 32bit)
    • select what you want to copy: by standard you should copy both your previous Model Set(=Active Model Set) and Model Cache(=Stored Own Models) and then select the flight simulator platform that you want to copy them for (in this example it is FS9)
    • finally click on start copy

       
    • the Wizard will ask you to confirm to override the new model set and model cache with your set and cache from before. Select Yes in both cases. When the process has finished, proceed to the next Wizard page

       
  • Copy settings: this Wizard allows you to copy your general settings, VATSIM login data etc.
    • select the version of swift that you want to copy your settings from (in this example it is 0.9.4.389 32bit)
    • select what settings you wish to copy. Normally one would select all
    • when you are ready for it, click on copy

       
    • when finished, the Wizard will tell you so

       
  • Simulator Wizard: as you may remember from your first installation of swift, you have to make sure that your flight simulator platform is selected and that its program path is correct, as well as the model directory/directories.
    If everything is fine, continue on the next Wizard page. Otherwise correct these settings first and don't forget to save them!

     
  • First Model Set Wizard: here simply check that the correct flight simulator platform is selected and that your Model set(=Active Model Set) is not empty. Should it not meet your expectations, then you may want to create a new Active Model Set right here (check Initial Configuration page for your flight simulator) or in swiftData (Mapping Tool).


If you do NOT use X-Plane, then you are done here and you can go flying!
 


Updating of XSwiftBus

Users of X-Plane have to update XSwiftBus!

  • in swift Configuration Wizard continue to the XSwiftBus download page and make sure to select exactly the same version number as the client that you just installed. Select download to open the download dialogue

     
  • in the XSwifBus dialogue you have one more chance to verify the version of the plugin. Click on download to actually start the download

       ​​​​​​​​​‎‎‎‎‎‎‎‎
  • with the download finished, select OK to install XSwiftBus

Note: In case that you do not have 7zip (freeware) or if it isn't available for your OS at all (e.g. MacOS), swift will produce an error message. You will then have to install XSwiftBus manually by extracting the archive to X-Plane 11\Resources\plugins\ (overwriting existing XSwiftBus files there)
  • when done, you can either keep the archive or delete it. Select OK to delete the file or Cancel to keep it

     

You are now done updating swift and XSwiftBus, you can go flying!


Updating Manually

  • download the latest version of swift from our website: download page
  • at the end of the installation process swiftLauncher and the Configuration Wizard will start automatically. Proceed according to the instructions earlier on this page to copy your Model set, Model cache and general swift settings
  • users of X-Plane have to update XSwiftBus as well!
    • either use the Config Wizward and proceed as described in the previous paragraph of this page
    • or download and install XSwiftBus manually: from our download page get XSwiftBus with exactly the same version number as the client that you just installed. Extract the archive to \X-Plane 11\Resources\Plugins\ and overwrite old files
    • You are now done updating swift and XSwiftBus, you can go flying!
  • update_new_version.txt
  • Last modified: 2020/09/06 00:56
  • by flyingfox